HTTPS WordPress

This page includes script from unauthenticated sources.

投稿日:

WordPress 3.8.1

Chrome を使用して HTTPS で WordPress のサイトにアクセスしたところ,下記のようなメッセージが表示されました.

This page includes script from unauthenticated sources.

Firefox でも同じようなセキュリティに関わるメッセージが表示されました.Safari に至っては HTTPS で接続してくれませんでした.

WordPress が生成しているソースを見ると,head に HTTP で JavaScript のリンクが張られていました.

<link rel='stylesheet' id='mediaelementjs-styles-css'  href='http://example.test/wp-content/plugins/media-element-html5-video-and-audio-player/mediaelement/mediaelementplayer.css?ver=3.8.1' type='text/css' media='all' />
<script type='text/javascript' src='http://example.test/wp-content/plugins/media-element-html5-video-and-audio-player/mediaelement/mediaelement-and-player.min.js?ver=2.1.3'>

プラグイン MediaElement.js - HTML5 Audio and Video Version 2.10.3 をインストールしていましたが,それに起因するもののようです.

最近の WordPress では HTML5 の video タグをサポートしているようなので,このプラグインを deactivate しておきました.これで表題のメッセージは出なくなりました.

-HTTPS, WordPress

Copyright© hirooka.pro , 2013-2018 All Rights Reserved.